/*
Copyright 2004 Cesar Tardaguila & Javier Tardaguila

This file is part of Drops.

Drops is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Srops is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Drops; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

import net.designnation.data.IIterator

interface net.designnation.data.IList
{
	public function insertOrdered( element: Object );
	
	public function deleteElementAt( index: Number ): Boolean;
	
	public function deleteElement( element: Object): Boolean;
	
	public function push( element: Object);
	
	public function pop(): Object;
	
	public function getElementAt( index: Number ): Object;
	
	public function exists( element: Object): Number;
	
	public function iterator(  ): IIterator;
	
	public function count(  ): Number;
}